summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
Diffstat (limited to 'dev-python/celery/files/celery-3.0.12-require-python-dateutil-2.1.patch')
-rw-r--r--dev-python/celery/files/celery-3.0.12-require-python-dateutil-2.1.patch47
1 files changed, 47 insertions, 0 deletions
diff --git a/dev-python/celery/files/celery-3.0.12-require-python-dateutil-2.1.patch b/dev-python/celery/files/celery-3.0.12-require-python-dateutil-2.1.patch
new file mode 100644
index 00000000000..6df08727d12
--- /dev/null
+++ b/dev-python/celery/files/celery-3.0.12-require-python-dateutil-2.1.patch
@@ -0,0 +1,47 @@
+From ae721b6947e7e05f26dc8438fe61106b5e993e12 Mon Sep 17 00:00:00 2001
+From: Ask Solem <ask@celeryproject.org>
+Date: Fri, 17 Aug 2012 16:16:08 +0100
+Subject: [PATCH] Now depends on dateutil-2.1 which supports Py2.6, 2.7 and
+ 3.2+. Closes #915
+
+---
+ requirements/default-py3k.txt | 2 +-
+ requirements/default.txt | 2 +-
+ setup.cfg | 2 +-
+ 3 files changed, 3 insertions(+), 3 deletions(-)
+
+diff --git a/requirements/default-py3k.txt b/requirements/default-py3k.txt
+index d68a7bd..a8bd31f 100644
+--- a/requirements/default-py3k.txt
++++ b/requirements/default-py3k.txt
+@@ -1,4 +1,4 @@
+ billiard>=2.7.3.17
+-python-dateutil>=2.0
++python-dateutil>=2.1
+ pytz
+ kombu>=2.4.7,<3.0
+diff --git a/requirements/default.txt b/requirements/default.txt
+index 2f50735..855cfc7 100644
+--- a/requirements/default.txt
++++ b/requirements/default.txt
+@@ -1,3 +1,3 @@
+ billiard>=2.7.3.17
+-python-dateutil>=1.5,<2.0
++python-dateutil>=2.1
+ kombu>=2.4.7,<3.0
+diff --git a/setup.cfg b/setup.cfg
+index 0e537f8..5ac1409 100644
+--- a/setup.cfg
++++ b/setup.cfg
+@@ -15,7 +15,7 @@
+
+ [bdist_rpm]
+ requires = billiard >= 2.7.3.18
+- python-dateutil >= 1.5
++ python-dateutil >= 2.1
+ kombu >= 2.4.8
+
+ [egg_info]
+--
+1.7.10
+